Name: djbdns
Version: 1.05
Release: 2
Group: Utilities/System
URL: http://www.qmail.org/
Copyright: Check with djb@koobera.math.uic.edu
Source0: http://cr.yp.to/djbdns/djbdns-%{version}.tar.gz
Source1: ftp://innominate.org/gpa/djb/djbdns-1.05-man-20010502.tar.gz
Source2: ZONE.NOTES
Source3: djbdns.init
Patch0: http://www.fefe.de/dns/djbdns-1.05-test17.diff.bz2
Patch1: ip6.arpa.patch
Summary: A Secure DNS server (Domain Name Server).
Packager: david@summersoft.fay.ar.us
Requires: ucspi-tcp daemontools /sbin/chkconfig
Conflicts: bind
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}
%description
A secure DNS server (Domain Name Server).

%changelog
* Tue Aug 13 2002 David Summers <david@summersoft.fay.ar.us> 1.05-2
- Changed from ip6.int to ip6.arpa per RFC3152.

* Sun Aug 11 2002 David Summers <david@summersoft.fay.ar.us> 1.05-1
- Release 1.
- Added IPV6 patch.
- Added man pages.
- Added ZONE.NOTES crib notes.

%prep
%setup -q -a 1

# IPV6 patch.
%patch0 -p1

# Changed from ip6.int to ip6.arpa per RFC3152.
%patch1 -p0

# Move binaries to /bin
echo "/" > conf-home

%build
make

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8

# Install DJBDNS programs.
cp dnscache-conf $RPM_BUILD_ROOT/bin
cp tinydns-conf  $RPM_BUILD_ROOT/bin
cp walldns-conf  $RPM_BUILD_ROOT/bin
cp rbldns-conf   $RPM_BUILD_ROOT/bin
cp pickdns-conf  $RPM_BUILD_ROOT/bin
cp axfrdns-conf  $RPM_BUILD_ROOT/bin

cp dnscache      $RPM_BUILD_ROOT/bin
cp tinydns       $RPM_BUILD_ROOT/bin
cp walldns       $RPM_BUILD_ROOT/bin
cp rbldns        $RPM_BUILD_ROOT/bin
cp pickdns       $RPM_BUILD_ROOT/bin
cp axfrdns       $RPM_BUILD_ROOT/bin

cp tinydns-get   $RPM_BUILD_ROOT/bin
cp tinydns-data  $RPM_BUILD_ROOT/bin
cp tinydns-edit  $RPM_BUILD_ROOT/bin
cp rbldns-data   $RPM_BUILD_ROOT/bin
cp pickdns-data  $RPM_BUILD_ROOT/bin
cp axfr-get      $RPM_BUILD_ROOT/bin

cp dnsip         $RPM_BUILD_ROOT/bin
cp dnsip6        $RPM_BUILD_ROOT/bin
cp dnsipq        $RPM_BUILD_ROOT/bin
cp dnsip6q       $RPM_BUILD_ROOT/bin
cp dnsname       $RPM_BUILD_ROOT/bin
cp dnstxt        $RPM_BUILD_ROOT/bin
cp dnsmx         $RPM_BUILD_ROOT/bin
cp dnsfilter     $RPM_BUILD_ROOT/bin
cp random-ip     $RPM_BUILD_ROOT/bin
cp dnsqr         $RPM_BUILD_ROOT/bin
cp dnsq          $RPM_BUILD_ROOT/bin
cp dnstrace      $RPM_BUILD_ROOT/bin
cp dnstracesort  $RPM_BUILD_ROOT/bin

cp dnsroots.global $RPM_BUILD_ROOT/etc/

# Install man pages.
cp djbdns-man/*.1 $RPM_BUILD_ROOT/usr/share/man/man1
cp djbdns-man/*.5 $RPM_BUILD_ROOT/usr/share/man/man5
cp djbdns-man/*.8 $RPM_BUILD_ROOT/usr/share/man/man8

# Copy ZONE.NOTES
cp %{SOURCE2} .

# Install startup scripts
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/djbdns
chmod a+rx $RPM_BUILD_ROOT/etc/init.d/djbdns

touch $RPM_BUILD_ROOT/etc/sysconfig/djbdns

%post
if [ "$1"x = "1"x ]; then
   /usr/sbin/useradd -r dnscache
   /usr/sbin/useradd -r dnslog
   /usr/sbin/useradd -r tinydns

   /sbin/chkconfig --add djbdns
fi

%preun
if [ "$1"x = "0"x ]; then
   /usr/sbin/userdel dnscache
   /usr/sbin/userdel dnslog
   /usr/sbin/userdel tinydns

   /sbin/chkconfig --del djbdns

   /etc/init.d/djbdns stop
fi

%clean
# Clean up after compiling and installing.
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README TINYDNS TODO VERSION ZONE.NOTES
%config /etc/init.d/djbdns
%config /etc/sysconfig/djbdns
%config /etc/dnsroots.global
/usr/share/man/man1/*
/usr/share/man/man5/*
/usr/share/man/man8/*
/bin/*
